package com.bwie.user;

import com.bwie.common.domain.User;
import com.bwie.common.result.Result;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;

/**
 * @author gxb
 * @description TODO
 * @date 2023-12-26 9:08
 */
@FeignClient("bwie-user")
public interface RemoteUserService {
    @PostMapping("/findName/{username}")
    public Result<User> findName(@PathVariable("username") String username);
}
