package com.bwie.common.domain;

import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author gxb
 * @description TODO
 * @date 2023-12-27 19:54
 */
@Data
public class Packet {

   // 定义一个Integer类型的变量packetId
  private Integer packetId;
    // 定义一个String类型的变量packetTheme
    private String packetTheme;
    // 定义一个Integer类型的变量packetPrice
    private Double packetPrice;
    // 使用@DateTimeFormat注解，将Date类型的变量packetDate的格式设置为yyyy-MM-dd
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date packetDate;
    // 定义一个Integer类型的变量packetCount
    private Integer packetCount;
    // 定义一个BigDecimal类型的变量packetRema  剩余
    private Double packetRema;
    // 定义一个Integer类型的变量packetClai   已领取个数
    private Integer packetClai;
    // 定义一个Integer类型的变量packetDuration   持续时间
    private Integer packetDuration;
  /**
   * 状态
   */
  private Integer giveState;
    // 定义一个Integer类型的变量packetSnag   状态是否抢到
    private Integer packetSnag;
    private Integer userId;
    private Integer packetRequest;
}
