package com.bwie.user.mapper;

import com.bwie.common.domain.Fie;
import com.bwie.common.domain.Friend;
import com.bwie.common.domain.Procut;
import com.bwie.common.domain.User;
import com.bwie.common.domain.request.AddUser;
import com.bwie.common.domain.request.Conditit;
import com.bwie.common.domain.request.Inqri;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @author gxb
 * @description TODO
 * @date 2023-12-19 15:32
 */
@Component
@Mapper
public interface UserMapper {
   // 根据用户名查找用户
    User findName(String username);

    // 添加用户
    Integer Sign(AddUser addUser);

    // 获取用户好友列表
    List<Integer> FriendId(Integer userId);

    // 获取用户好友列表
    List<User> FriedList(Conditit conditit);

    // 获取所有用户
    List<Integer> findAllUser();

    // 获取所有用户
    List<User> findAddAllUser(Inqri inqri);

    // 查找好友状态
    Friend findCf(@Param("userId") Integer userId, @Param("userId1") Integer userId1);

    // 添加好友
    Integer InsertFei(@Param("userId") Integer userId, @Param("userId1") Integer userId1);

    // 查找好友状态
    Fie findFieState(@Param("userId") Integer userId, @Param("userId1") Integer userId1);

    // 更新好友状态
    void updFriedState(@Param("feiState") Integer feiState, @Param("userId") Integer userId);

    // 获取好友列表
    List<Integer> FieList(Integer userId);


    // 获取所有商品
    List<Procut> AllProcut();


    // 添加用户
    List<User> findAddAll(@Param("id") List<Integer> id);

    // 更新好友请求状态
    void updateFriedRequest(@Param("feiId") Integer feiId, @Param("state") Integer state);

    // 查找好友id
    Fie findUserId(Integer feiId);

    // 添加好友
    void addFriend(@Param("userId") Integer userId, @Param("id") Integer id);

    // 添加好友
    void addFriends(@Param("id") Integer id, @Param("userId") Integer userId);

    // 删除用户
    Integer deleUser(@Param("userId") Integer userId, @Param("userId1") Integer userId1);

    // 删除用户
    Integer deleUsers(@Param("userId") Integer userId, @Param("userId1") Integer userId1);
//批量删除好友申请
 void deleteFriedRequest(@Param("ids") Integer[] ids);

}
