package com.bwie.controller;

import com.bwie.common.domain.request.UserRequest;
import com.bwie.common.result.Result;
import com.bwie.service.impl.AuthService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author gxb
 * @description TODO
 * @date 2023-12-19 15:30
 */
@RestController
public class AuthController {
    @Autowired
    private AuthService authService;
    /**
     * 登录
     */
    @PostMapping("/login")
    public Result login(@RequestBody UserRequest userRequest){
        return authService.login(userRequest);
    }
    /**
     * 获取当前登录人
     */
    @GetMapping("/info")
    public Result info(){
        return  authService.info();
    }
}
