package com.bwie.common.domain.request;

import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author gxb
 * @description TODO
 * @date 2023-12-29 9:41
 */
@Data
public class PacketRequest {

    private Double packetPrice;
    private Double packetPrices;

    // 使用@DateTimeFormat注解，将Date类型的变量packetDate的格式设置为yyyy-MM-dd
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date packetDate;

    // 使用@DateTimeFormat注解，将Date类型的变量packetDate的格式设置为yyyy-MM-dd
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date packetDates;

    private Integer pageNum;

    private Integer pageSize;

    private Integer userId;
}
